Max length limitation for QCAT 2.2: Detailed description
02 Sep 2016 12:51 - Lukas Vonlanthen

Status: Closed Start date: 02 Sep 2016
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: QA and QT migrated Spent time: 0.00 hour
Resolution:

Description

QCAT 2.2: Detailed description of the Technology
"The description should ideally be 2,500-3,000 characters in length; the absolute maximum is 3,500 characters."

This limit is exceeded in 90 cases (76 Technologies) - frontrunner: T_BRA006pt with 7'154 characters.

This is probably due to the fact, that the description in the new QCAT Technologies is a composite of 4 parts (Description, Purpose,
Establishment / maintenance activities and inputs, Natural / human environment) of QT 2.1.2 and there was no limit for any of them!

Scenarios:

® | can not check the limit when importing. But the first person to edit the Questionnaire needs to cut the description to < 3500
characters or it cannot be saved.

e We raise / remove the limit - permanently!

¢ Place some of the content in a comment section somewhere -> where?

History

#1 - 08 Sep 2016 10:28 - Lukas Vonlanthen

- Status changed from New to Resolved

Decision:
Check first if the section with problem is evaluated separately or if the error occurs on each section which is saved. Also check error message (has to
say which section and question triggering the error). Also make a list of the error cases.

#2 - 08 Sep 2016 14:07 - Lukas Vonlanthen

- Status changed from Resolved to New

On every "save", each section is evaluated. Therefore, the user receives an error even if "Description” is currently not visible. | updated the error
message to include the Category (2.2 Description) of the error question.

List of Questionnaires with this error:

T_KEN658en
T_BOTO004en
T_BRKOllen
T_KEN657en
T_MORO12fr
T_MORO13fr
T_MORO15fr
T_RUSOOlen
T_SPA0OOlen
T_TAJ102en
T_TAJ354en
T_TAJ362en
T_TAJ110en
T_TAJ366en
T_TAJ368ru
T_ZIMOOlen
T_CHNOl4en
T_RSAQ42en
T_RSAQO47en
T_TAJ043en
T_KAZ0O07ru
T_KYR002ru
T_KYR003ru
T_UZB00lru
T_UZB002ru
T_TAJO044en
T_TAJ048en
T_SPA010en
T_SPA009en
T_SPAQOllen
T_SPAOl2en
T_UGAOl3en
T_TANO1l7en
T_TANO22en
T_ZAM0O4en
T_CBD008en
T_CBDO01l2en
T_CBD002en
T_CBDO0O4en
T_CBD005en
T_CBD007en
T_CBD009%en
T_CBD00O6en
T_TAJ607ru
T_TAJ662ru
T_GRE008en
T_MADO0O2en
T_NIGO78en
T_NIGO073en
T_GER007en
T_BRA0O6pPt
T_BRA0OO7en
T_BRA010en
T_BRAO1lpt
T_GREOO4en
T_INDOl7en
T_KYRO0O4en
T_KYR0O05ru
T_KYR0O06ru
T_SPAQOO3en
T_SWI546fr
T_TAJ655ru
T_VIEOO4en
T_GREOllen
T_AS602en

T_AS603en

T_CYP0O4en
T_SWI559en
T_ROMOOlen
T_ETH608en
T_AS600en

T_ETH609en
T_ETH610en
T_ETH61llen
T_AS623en

#3 - 22 Sep 2016 16:21 - Lukas Vonlanthen

- Status changed from New to Resolved

Decision: Ignore limit for migration.

#4 - 26 Sep 2016 11:12 - Lukas Vonlanthen

- Status changed from Resolved to Closed

Ignore text limit for the import. Added mapping message to questionnaires which exceed the limit.
